de.katho.kBorrow.data.objects

## Class KArticle

- java.lang.Object
- - de.katho.kBorrow.data.objects.KArticle

    public class KArticle
    extends java.lang.Object

Bildet einen Artikel ab.

### Field Summary

Fields
`private java.lang.String` `description` Beschreibung des Artikels
`private int` `id` ID des Artikels
`private boolean` `isFree` Ist der Artikel im Moment ausgeliehen oder nicht?
`private java.lang.String` `name` Name des Artikels

### Constructor Summary

Constructors
Constructor and Description
`KArticle(int pId, java.lang.String pName, boolean pFree, java.lang.String pDesc)` Erzeugt ein neues Artikelobjekt.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getDescription()` Gibt die Beschreibung des Artikels zurück.
`int` `getId()` Gibt die ID des Artikels zurück.
`boolean` `getIsFree()` Gibt zurück, ob der Artikel im Moment ausgeliehen ist oder nicht.
`java.lang.String` `getName()` Gibt den Namen des Artikels zurück.
`void` `setDescription(java.lang.String pDesc)` Setzt die Beschreibung des Artikels.
`void` `setIsFree(boolean pFree)` Setzt, ob der Artikel ausgeliehen ist, oder nicht.
`void` `setName(java.lang.String pName)` Setzt den Namen des Artikels.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### id

    private int id

ID des Artikels

#### name

    private java.lang.String name

Name des Artikels

#### description

    private java.lang.String description

Beschreibung des Artikels

#### isFree

    private boolean isFree

Ist der Artikel im Moment ausgeliehen oder nicht?

### Constructor Detail

#### KArticle

    public KArticle(int pId,
                    java.lang.String pName,
                    boolean pFree,
                    java.lang.String pDesc)

Erzeugt ein neues Artikelobjekt.

Parameters:
  `pId` - ID des Artikels.
  `pName` - Name des Artikels.
  `pFree` - Ist der Artikel im Moment ausgeliehen oder nicht?
  `pDesc` - Beschreibung des Artikels.

### Method Detail

#### getId

    public int getId()

Gibt die ID des Artikels zurück.

Returns:
  ID des Artikels.

#### getName

    public java.lang.String getName()

Gibt den Namen des Artikels zurück.

Returns:
  Name des Artikels.

#### getDescription

    public java.lang.String getDescription()

Gibt die Beschreibung des Artikels zurück.

Returns:
  Beschreibung des Artikels.

#### getIsFree

    public boolean getIsFree()

Gibt zurück, ob der Artikel im Moment ausgeliehen ist oder nicht.

Returns:
  Ist der Artikel im Moment ausgeliehen oder nicht?

#### setName

    public void setName(java.lang.String pName)

Setzt den Namen des Artikels.

Parameters:
  `pName` - (Neuer) Name des Artikels.

#### setDescription

    public void setDescription(java.lang.String pDesc)

Setzt die Beschreibung des Artikels.

Parameters:
  `pDesc` - (Neue) Beschreibung des Artikels.

#### setIsFree

    public void setIsFree(boolean pFree)

Setzt, ob der Artikel ausgeliehen ist, oder nicht.

Parameters:
  `pFree` - Ist der Artikel ausliehen oder nicht?